PamCut: TrkDedxHCut Class Reference

# TrkDedxHCut Class Reference

The dE/dX cut to select H and anti-H. This cut discards all the events whose rigidity modulus and dE/dX (both given by TRK) are outside a pre-defined band (by Nico De Simone). Here rigidity is defined as p/Z (GV) where Z is the particle charge (WITH SIGN) and p the momentum modulus: therefore rigidity can be positive or negative. CUT DEPENDENCIES: TrkPhysSin for object trkTrack. More...

`#include <TrkDedxHCut.h>`

Inheritance diagram for TrkDedxHCut:

List of all members.

## Public Member Functions
| TrkDedxHCut (const char *cutName)
| Constructor.
| ~TrkDedxHCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The rigidity check.
## Static Private Attributes
static const int | _nLow = 23
static const Double_t | _xLow []
static const Double_t | _yLow []
static const int | _nHigh = 21
static const Double_t | _xHigh []
static const Double_t | _yHigh []

## Detailed Description

The dE/dX cut to select H and anti-H. This cut discards all the events whose rigidity modulus and dE/dX (both given by TRK) are outside a pre-defined band (by Nico De Simone). Here rigidity is defined as p/Z (GV) where Z is the particle charge (WITH SIGN) and p the momentum modulus: therefore rigidity can be positive or negative. CUT DEPENDENCIES: TrkPhysSin for object trkTrack.

Definition at line 22 of file TrkDedxHCut.h.

## Constructor & Destructor Documentation

TrkDedxHCut::TrkDedxHCut | ( | const char * | cutName | ) | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.

Definition at line 30 of file TrkDedxHCut.h.

TrkDedxHCut::~TrkDedxHCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 54 of file TrkDedxHCut.h.

## Member Function Documentation

int TrkDedxHCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The rigidity check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the (rigidity modulus , dE/dX) point is inside the pre-defined band.

  0 otherwise.

Implements PamCut.

Definition at line 26 of file TrkDedxHCut.cpp.

References _nHigh, _nLow, _xHigh, _xLow, _yHigh, _yLow, and CUTOK.

## Member Data Documentation

const int TrkDedxHCut::_nHigh = 21`[static, private]`

Definition at line 90 of file TrkDedxHCut.h.

Referenced by Check().

const int TrkDedxHCut::_nLow = 23`[static, private]`

Definition at line 85 of file TrkDedxHCut.h.

Referenced by Check().

const Double_t TrkDedxHCut::_xHigh`[static, private]`

Initial value:

     { 0.126414, 0.392911, 0.474654, 0.508423, 0.563635, 0.680897, 0.76792, 0.851312,
        0.960115, 1.12068, 1.22122, 1.50085, 1.69267, 1.87649, 2.1903, 2.65934, 3.75055, 6.21589, 11.0139, 24.2773, 1000. }

Definition at line 91 of file TrkDedxHCut.h.

Referenced by Check().

const Double_t TrkDedxHCut::_xLow`[static, private]`

Initial value:

     { 0.126414, 0.140142, 0.152714, 0.165854, 0.178357, 0.194244, 0.211669, 0.242859,
        0.264646, 0.293385, 0.314258, 0.360565, 0.392911, 0.450807, 0.508423, 0.603735, 0.680897, 0.754838, 0.851312,
        1.00032, 1.36201, 1.37, 1000. }

Definition at line 86 of file TrkDedxHCut.h.

Referenced by Check().

const Double_t TrkDedxHCut::_yHigh`[static, private]`

Initial value:

     { 24.3512, 22.696, 21.107, 20.0477, 18.5249, 15.8766, 13.6917, 11.5731, 10.1827,
        8.26271, 7.2696, 5.5482, 5.01854, 4.6875, 4.15784, 3.83697, 3.59789, 3.42119, 3.36335, 3.36335, 3.36335 }

Definition at line 92 of file TrkDedxHCut.h.

Referenced by Check().

const Double_t TrkDedxHCut::_yLow`[static, private]`

Initial value:

     { 18.9221, 16.0752, 14.2214, 12.6324, 11.2421, 9.71928, 8.1965, 6.93856, 6.14407,
        5.15095, 4.6875, 3.8268, 3.49576, 2.89989, 2.56886, 2.17161, 1.90678, 1.70816, 1.50953, 1.27754, 0.715042, 0, 0 }

Definition at line 87 of file TrkDedxHCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TrkCuts/TrkDedxHCut/TrkDedxHCut.h
- TrkCuts/TrkDedxHCut/TrkDedxHCut.cpp